%define upstream_name    Bio-Phylo
%define upstream_version 0.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Analysis and manipulation of phylogenies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is the base class for the Bio::Phylo package for phylogenetic analysis
using object-oriented perl5. In this file, methods are defined that are
performed by other objects in the Bio::Phylo release that inherit from this
base class (which you normally wouldn't use directly).

For general information on how to use Bio::Phylo, consult the manual (the
Bio::Phylo::Manual manpage).

If you come here because you are trying to debug a problem you run into in
using Bio::Phylo, you may be interested in the "exceptions" system as
discussed in the Bio::Phylo::Util::Exceptions manpage. In addition, you may
find the logging system in the Bio::Phylo::Util::Logger manpage of use to
localize problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 363365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 314859
- update to 0.52

* Tue Jun 12 2012 kharec <kharec> 0.500.0-1.mga3
+ Revision: 259985
- Add perl(URI) as BR
- update to 0.50

* Mon Jun 04 2012 kharec <kharec> 0.490.0-1.mga3
+ Revision: 254010
- update to 0.49

* Mon May 28 2012 kharec <kharec> 0.480.0-1.mga3
+ Revision: 248094
- update to 0.48

* Fri Nov 18 2011 kharec <kharec> 0.450.0-1.mga2
+ Revision: 168956
- imported package perl-Bio-Phylo

